Bug 134305 - Lost threading information
Lost threading information
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-01 04:35 EDT by Carl Gherardi
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-01 21:43:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Gherardi 2004-10-01 04:35:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040928
Firefox/0.10

Description of problem:
Old email threads(one in which i've read one or more messages) in
evolution are being displayed as unthreaded after restarting evolution.

Eg. Thread-Index: AcShiAiHovgupPf2SRyJ0oEY/19/Eg==

In fedora-test-list (Re: FC3T2 and XComposite) is one i've been
keeping around for reading when I go to test the component with my
card. None of the messages in this thread are displayed as threaded,
yet all new threads in that list are being displayed as threads.

Version-Release number of selected component (if applicable):
evolution-2.0.1-2

How reproducible:
Always

Steps to Reproduce:
1. Unknown - Shutdown and restart I think did it.

I cant make the messages "rethread" by marking them as unread either.


Actual Results:  No threaded email in read lists

Expected Results:  Threaded mail

Additional info:

I can provide exact emails headers (say message ids etc) if necessary.

Running:
evolution-data-server-1.0.1-1
evolution-2.0.1-2
evolution-data-server-debuginfo-1.0.1-1
evolution-debuginfo-2.0.1-2

In fedora rawhide, updated 3 hours ago.
Comment 1 Dave Malcolm 2004-10-01 14:34:16 EDT
Alas, I've already deleted that thread on my system, but threaded
email seems to be working fine for me.

What mail store are you seeing this with?  POP, IMAP, local mbox etc?

Can you supply the exact headers of some of these messages please?

Comment 2 Carl Gherardi 2004-10-01 23:40:30 EDT
Apologies.

IMAP to an exchange 2003 server.

Full headers of two messages that were threaded in fedora-test-list 
and now aren't:

---
X-MimeOLE: Produced By Microsoft Exchange V6.0.6556.0
Received: from nautronix.com.au ([10.61.0.102]) by
frem-exch1.nautronix with Microsoft SMTPSVC(6.0.3790.0); Fri, 24 Sep
2004 00:11:50 +0800
Received: from FREM-PROX1.nautronix ([10.61.0.100]) by
nautronix.com.au with Microsoft SMTPSVC(5.0.2195.6713); Fri, 24 Sep
2004 00:11:50 +0800
MIME-Version: 1.0
Content-Type: multipart/alternative;
boundary="----_=_NextPart_001_01C4A188.084B6700"
Received: from smtp-fremantle.nautronix [192.168.0.2] by
FREM-PROX1.nautronix - SurfControl E-mail Filter (4.7); Fri, 24 Sep
2004 00:11:49 +0800
Received: from hormel.redhat.com ([209.132.177.30]) by
smtp-fremantle.nautronix (SMSSMTP 4.0.0.59) with SMTP id
M2004092400062204260 for <carl.gherardi@nautronix.com.au>; Fri, 24 Sep
2004 00:06:22 +0800
Received: from listman.util.phx.redhat.com
(listman.util.phx.redhat.com [10.8.4.110]) by hormel.redhat.com
(Postfix) with ESMTP id 6A3E573AA0; Thu, 23 Sep 2004 12:13:43 -0400 (EDT)
Received: from int-mx1.corp.redhat.com (int-mx1.corp.redhat.com
[172.16.52.254]) by listman.util.phx.redhat.com (8.12.11/8.12.10) with
ESMTP id i8NGBHYC011941 for
<fedora-test-list@listman.util.phx.redhat.com>; Thu, 23 Sep 2004
12:11:17 -0400
Received: (from mail@localhost) by int-mx1.corp.redhat.com
(8.11.6/8.11.6) id i8NGBHF05303 for
fedora-test-list@listman.util.phx.redhat.com; Thu, 23 Sep 2004
12:11:17 -0400
Received: from mx3.redhat.com (mx3.redhat.com [172.16.48.32]) by
int-mx1.corp.redhat.com (8.11.6/8.11.6) with ESMTP id i8NGBHr05297 for
<fedora-test-list@redhat.com>; Thu, 23 Sep 2004 12:11:17 -0400
Received: from main.gmane.org (main.gmane.org [80.91.229.2]) by
mx3.redhat.com (8.12.11/8.12.10) with ESMTP id i8NGBBYJ021633 for
<fedora-test-list@redhat.com>; Thu, 23 Sep 2004 12:11:11 -0400
Received: from list by main.gmane.org with local (Exim 3.35 #1
(Debian)) id 1CAWBa-0007Qa-00 for <fedora-test-list@redhat.com>; Thu,
23 Sep 2004 18:11:10 +0200
Received: from p50851808.dip.t-dialin.net ([80.133.24.8]) by
main.gmane.org with esmtp (Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
for <fedora-test-list@redhat.com>; Thu, 23 Sep 2004 18:11:10 +0200
Received: from terraformers by p50851808.dip.t-dialin.net with local
(Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00 for
<fedora-test-list@redhat.com>; Thu, 23 Sep 2004 18:11:10 +0200
content-class: urn:content-classes:message
Subject: Re: FC3T2 and XComposite
Date: Fri, 24 Sep 2004 00:10:36 +0800
Message-ID: <ciusin$eac$1@sea.gmane.org>
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
Thread-Topic: FC3T2 and XComposite
Thread-Index: AcShiAiHovgupPf2SRyJ0oEY/19/Eg==
List-Help: <mailto:fedora-test-list-request@redhat.com?subject=help>
List-Subscribe:
<http://www.redhat.com/mailman/listinfo/fedora-test-list>,<mailto:fedora-test-list-request@redhat.com?subject=subscribe>
List-Unsubscribe:
<http://www.redhat.com/mailman/listinfo/fedora-test-list>,<mailto:fedora-test-list-request@redhat.com?subject=unsubscribe>
From: Lars <terraformers@gmx.net>
Sender: fedora-test-list-bounces@redhat.com
To: fedora-test-list@redhat.com
Reply-To: For testers of Fedora Core development releases
<fedora-test-list@redhat.com>
X-Evolution-Source:
imap://nautronix%2fcarl%20gherardi%2fcarl.gherardi@exch-fremantle.nautronix/

---
X-MimeOLE: Produced By Microsoft Exchange V6.0.6556.0
Received: from nautronix.com.au ([10.61.0.102]) by
frem-exch1.nautronix with Microsoft SMTPSVC(6.0.3790.0); Mon, 27 Sep
2004 22:55:52 +0800
Received: from FREM-PROX1.nautronix ([10.61.0.100]) by
nautronix.com.au with Microsoft SMTPSVC(5.0.2195.6713); Mon, 27 Sep
2004 22:55:52 +0800
MIME-Version: 1.0
Content-Type: multipart/alternative;
boundary="----_=_NextPart_001_01C4A4A2.152ACC00"
Received: from smtp-fremantle.nautronix [192.168.0.2] by
FREM-PROX1.nautronix - SurfControl E-mail Filter (4.7); Mon, 27 Sep
2004 22:55:51 +0800
Received: from hormel.redhat.com ([209.132.177.30]) by
smtp-fremantle.nautronix (SMSSMTP 4.0.0.59) with SMTP id
M2004092722501621413 for <carl.gherardi@nautronix.com.au>; Mon, 27 Sep
2004 22:50:17 +0800
Received: from listman.util.phx.redhat.com
(listman.util.phx.redhat.com [10.8.4.110]) by hormel.redhat.com
(Postfix) with ESMTP id 85B8673E24; Mon, 27 Sep 2004 10:57:46 -0400 (EDT)
Received: from int-mx1.corp.redhat.com (int-mx1.corp.redhat.com
[172.16.52.254]) by listman.util.phx.redhat.com (8.12.11/8.12.10) with
ESMTP id i8REuWAd009023 for
<fedora-test-list@listman.util.phx.redhat.com>; Mon, 27 Sep 2004
10:56:32 -0400
Received: (from mail@localhost) by int-mx1.corp.redhat.com
(8.11.6/8.11.6) id i8REuWv31022 for
fedora-test-list@listman.util.phx.redhat.com; Mon, 27 Sep 2004
10:56:32 -0400
Received: from mx3.redhat.com (mx3.redhat.com [172.16.48.32]) by
int-mx1.corp.redhat.com (8.11.6/8.11.6) with ESMTP id i8REuWr31016 for
<fedora-test-list@redhat.com>; Mon, 27 Sep 2004 10:56:32 -0400
Received: from mproxy.gmail.com (rproxy.gmail.com [64.233.170.207]) by
mx3.redhat.com (8.12.11/8.12.10) with ESMTP id i8REuQZ5003837 for
<fedora-test-list@redhat.com>; Mon, 27 Sep 2004 10:56:27 -0400
Received: by mproxy.gmail.com with SMTP id 77so3643808rnk for
<fedora-test-list@redhat.com>; Mon, 27 Sep 2004 07:56:23 -0700 (PDT)
Received: by 10.38.171.50 with SMTP id t50mr15958rne; Mon, 27 Sep 2004
07:54:52 -0700 (PDT)
Received: by 10.38.77.4 with HTTP; Mon, 27 Sep 2004 07:54:51 -0700 (PDT)
content-class: urn:content-classes:message
Subject: Re: FC3T2 and XComposite
Date: Mon, 27 Sep 2004 22:54:51 +0800
Message-ID: <604aa7910409270754345ef130@mail.gmail.com>
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
Thread-Topic: FC3T2 and XComposite
Thread-Index: AcSkohWW/GTUoCETT6SW2uv/JXO24g==
List-Help: <mailto:fedora-test-list-request@redhat.com?subject=help>
List-Subscribe:
<http://www.redhat.com/mailman/listinfo/fedora-test-list>,<mailto:fedora-test-list-request@redhat.com?subject=subscribe>
List-Unsubscribe:
<http://www.redhat.com/mailman/listinfo/fedora-test-list>,<mailto:fedora-test-list-request@redhat.com?subject=unsubscribe>
From: Jeff Spaleta <jspaleta@gmail.com>
Sender: fedora-test-list-bounces@redhat.com
To: For testers of Fedora Core development releases
<fedora-test-list@redhat.com>
Reply-To: Jeff Spaleta <jspaleta@gmail.com>, For testers of Fedora
Core development releases <fedora-test-list@redhat.com>
X-Evolution-Source:
imap://nautronix%2fcarl%20gherardi%2fcarl.gherardi@exch-fremantle.nautronix/

Carl
Comment 4 Matthew Barnes 2007-01-01 14:06:56 EST
Is this bug still present in Fedora Core 6 or later?
Comment 5 Carl Gherardi 2007-01-01 21:28:41 EST
The bug disappeared between a fresh FC4 install and not copying .evolution
directory over.

Please close
Comment 6 Matthew Barnes 2007-01-01 21:43:51 EST
Closing as WORKSFORME per comment #5.  Feel free to re-open this bug if you
encounter the same problem in Fedora Core 6 or later.

Note You need to log in before you can comment on or make changes to this bug.